Bug 974959 - [abrt] vdsm-4.10.3-10.fc18: __init__.py:916:_open:IOError: [Errno 13] Permission denied: '/var/log/vdsm/vdsm.log'
[abrt] vdsm-4.10.3-10.fc18: __init__.py:916:_open:IOError: [Errno 13] Permiss...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Federico Simoncelli
Fedora Extras Quality Assurance
abrt_hash:51e437cef2a4f581ac00350e698...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 05:11 EDT by wgao
Modified: 2013-09-25 17:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 17:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2013-06-17 05:11 EDT, wgao
no flags Details
File: core_backtrace (648 bytes, text/plain)
2013-06-17 05:11 EDT, wgao
no flags Details
File: environ (335 bytes, text/plain)
2013-06-17 05:11 EDT, wgao
no flags Details

  None (edit)
Description wgao 2013-06-17 05:11:37 EDT
Version-Release number of selected component:
vdsm-4.10.3-10.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/vdsm/vdsm
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/share/vdsm/vdsm
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            36

Truncated backtrace:
__init__.py:916:_open:IOError: [Errno 13] Permission denied: '/var/log/vdsm/vdsm.log'

Traceback (most recent call last):
  File "/usr/share/vdsm/vdsm", line 129, in <module>
    run()
  File "/usr/share/vdsm/vdsm", line 61, in run
    lconfig.fileConfig(loggerConfFile)
  File "/usr/lib64/python2.7/logging/config.py", line 78, in fileConfig
    handlers = _install_handlers(cp, formatters)
  File "/usr/lib64/python2.7/logging/config.py", line 156, in _install_handlers
    h = klass(*args)
  File "/usr/lib64/python2.7/logging/handlers.py", line 386, in __init__
    logging.FileHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib64/python2.7/logging/__init__.py", line 897, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib64/python2.7/logging/__init__.py", line 916, in _open
    stream = open(self.baseFilename, self.mode)
IOError: [Errno 13] Permission denied: '/var/log/vdsm/vdsm.log'

Local variables in innermost frame:
self: <logging.handlers.WatchedFileHandler object at 0x2538310>
Comment 1 wgao 2013-06-17 05:11:43 EDT
Created attachment 761962 [details]
File: backtrace
Comment 2 wgao 2013-06-17 05:11:47 EDT
Created attachment 761963 [details]
File: core_backtrace
Comment 3 wgao 2013-06-17 05:11:52 EDT
Created attachment 761964 [details]
File: environ
Comment 4 Federico Simoncelli 2013-09-06 03:53:48 EDT
Can you check what are the permissions on /var/log/vdsm/vdsm.log and /var/log/vdsm.

Is this still happening with the latest versions? vdsm-4.10.3-18.fc18 (or vdsm-4.12.1-1.fc19).
Comment 5 Dan Kenigsberg 2013-09-25 17:35:04 EDT
Please reopen bug if it reproduces despite the separation of supervdsm.log.

Note You need to log in before you can comment on or make changes to this bug.